PLplot: delaunay.c File Reference

PLplot 5.15.0

Macros | Functions
delaunay.c File Reference
`#include <stdlib.h>`
`#include <stdio.h>`
`#include <assert.h>`
`#include <math.h>`
`#include <string.h>`
`#include <limits.h>`
`#include <float.h>`
`#include <qhull/qhull_a.h>`
`#include "istack.h"`
`#include "nan.h"`
`#include "delaunay.h"`

Go to the source code of this file.

## Macros
#define | USE_QHULL

## Functions
int | circle_build (circle *c, point *p0, point *p1, point *p2)
int | circle_contains (circle *c, point *p)
int | delaunay_xytoi (delaunay *d, point *p, int id)
void | delaunay_circles_find (delaunay *d, point *p, int *n, int **out)
static int | cw (delaunay *d, triangle *t)
delaunay * | delaunay_build (int np, point points[], int ns, int segments[], int nh, double holes[])
void | delaunay_destroy (delaunay *d)
static int | on_right_side (point *p, point *p0, point *p1)

## Macro Definition Documentation

## ◆ USE_QHULL

#define USE_QHULL

Definition at line 27 of file delaunay.c.

## Function Documentation

## ◆ circle_build()

int circle_build | ( | circle * | c,
|  | point * | p0,
|  | point * | p1,
|  | point * | p2
| ) |  |

Definition at line 68 of file nncommon.c.

## ◆ circle_contains()

int circle_contains | ( | circle * | c,
|  | point * | p
| ) |  |

Definition at line 98 of file nncommon.c.

## ◆ cw()

static int cw | ( | delaunay * | d,
|  | triangle * | t
| ) |  |
| static

Definition at line 562 of file delaunay.c.

## ◆ delaunay_build()

delaunay* delaunay_build | ( | int | np,
|  | point | points[],
|  | int | ns,
|  | int | segments[],
|  | int | nh,
|  | double | holes[]
| ) |  |

Definition at line 265 of file delaunay.c.

## ◆ delaunay_circles_find()

void delaunay_circles_find | ( | delaunay * | d,
|  | point * | p,
|  | int * | n,
|  | int ** | out
| ) |  |

Definition at line 681 of file delaunay.c.

## ◆ delaunay_destroy()

void delaunay_destroy | ( | delaunay * | d | ) |

Definition at line 578 of file delaunay.c.

## ◆ delaunay_xytoi()

int delaunay_xytoi | ( | delaunay * | d,
|  | point * | p,
|  | int | id
| ) |  |

Definition at line 631 of file delaunay.c.

## ◆ on_right_side()

static int on_right_side | ( | point * | p,
|  | point * | p0,
|  | point * | p1
| ) |  |
| static

Definition at line 619 of file delaunay.c.